Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.configuration.impl
Class FaceBooleanAttributeParser

    java.lang.Object
      com.pietschy.command.configuration.impl.FaceAttributeParser
          com.pietschy.command.configuration.impl.InheritedAttributeParser
              com.pietschy.command.configuration.impl.FaceBooleanAttributeParser

     class FaceBooleanAttributeParser

extends InheritedAttributeParser

Parser implementation for boolean values.

Field Summary
`static java.lang.String` | `FALSE`
`static java.lang.String` | `TRUE`

Constructor Summary
`protected` | `FaceBooleanAttributeParser(java.lang.String... properties)` Creates a new instance for the specified properties.

Method Summary
`protected java.lang.Object` | `parseValue(java.lang.String propertyName, java.lang.String value, ExceptionFactory factory)` Converts the strings `"true"` and `"false"` into thier boolean value.

Methods inherited from class com.pietschy.command.configuration.impl.InheritedAttributeParser
`parseEmptyImpl, parseImpl`

Methods inherited from class com.pietschy.command.configuration.impl.FaceAttributeParser
`getProperties, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FALSE

    public static final java.lang.String FALSE

See Also:
  Constant Field Values

### TRUE

    public static final java.lang.String TRUE

See Also:
  Constant Field Values

Constructor Detail

### FaceBooleanAttributeParser

    protected FaceBooleanAttributeParser(java.lang.String... properties)

  Creates a new instance for the specified properties.

  Parameters:
    `properties` - the properties.

Method Detail

### parseValue

    protected java.lang.Object parseValue(java.lang.String propertyName,
                                          java.lang.String value,
                                          ExceptionFactory factory)
                                   throws java.lang.Exception

  Converts the strings `"true"` and `"false"` into thier boolean value. This parser is case insensitive.

  Specified by:
    `parseValue` in class `InheritedAttributeParser`
  Parameters:
    `propertyName` - the property name.
    `value` - the value.
    `factory` - the exception factory.
  Returns:
    `true` if the value is the string `"true"`, `false` if the value is the string `"false"`
  Throws:
    `java.lang.Exception` - if the value is neither the string `"true"` or `"false"`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch